﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 268xA (1 yr) Trigger Input Ver RS-232
INSTRUMENT:            Sub Fluke 268xA (1 yr) Trigger Output Ver RS-232
DATE:                  2011-04-21 19:36:00
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       122
=============================================================================
#
#  Procedure Author:
#        ZY, VY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Response RS-232
#
#  Required Files:
#       268xA_Trigger_Input_Test.jpg
#       268xA_Trigger_Output_Test.jpg
#       268xA_Trigger_Output_Signal.jpg
#
#  Additional Equipment Required:
#       Specially Configured Rear Terminals
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         TRIGGER_INPUT                PSUBI("Trigger Input")
  1.002  JMPL         TRIGGER_OUTPUT               PSUBI("Trigger Output")
  1.003  DISP         Error:  Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# ====== TRIGGER INPUT ====================================================

  2.001  LABEL        TRIGGER_INPUT
  2.002  RSLT         =
  2.003  HEAD         {TRIGGER INPUT TEST}
  2.004  TARGET
  2.005  HEAD         -2 Trigger Off
  2.006  MATH         @UUTCommand = "*RST"
  2.007  CALL         Sub Fluke 268xA Send Command RS-232
  2.008  JMPL         END                          @Abort
  2.009  MATH         @QueryCommand = "TRIN?"
  2.010  CALL         Sub Fluke 268xA Query Response RS-232
  2.011  JMPL         END                          @Abort
  2.012  EVAL   -e ZCMPI(MEM2, "0") : No Signal: HIGH state

  3.001  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  3.002  PIC          268xA_Trigger_Input_Test.jpg
  3.003  HEAD         -2 Trigger Off
  3.004  MATH         @QueryCommand = "TRIN?"
  3.005  CALL         Sub Fluke 268xA Query Response RS-232
  3.006  JMPL         END                          @Abort
  3.007  EVAL   -e ZCMPI(MEM2, "1") : Signal Active: LOW state

  4.001  HEAD
  4.002  HEAD         -2
  4.003  END

  4.004  EVAL   Increment step number

# ====== TRIGGER OUTPUT ====================================================

  5.001  LABEL        TRIGGER_OUTPUT
  5.002  RSLT         =
  5.003  HEAD         {TRIGGER OUTPUT TEST}
  5.004  TARGET
  5.005  DISP         Trigger Output is an output line that, when enabled,
  5.005  DISP         goes to logic low for 125 µs every time a scan begins.
  5.005  DISP
  5.005  DISP         In order to observe the TRIGGER OUTPUT signal, an
  5.005  DISP         oscilloscope and one probe are required. Due to the
  5.005  DISP         signal is only presented once in each test, it is
  5.005  DISP         recommeneded to make the following scope settings.
  5.005  DISP
  5.005  DISP         1. Set the scope channel 1 vertical scale to 1 V/div.
  5.005  DISP         2. Set the scope timebase to 40 µs/div.
  5.005  DISP         3. Set the scope trigger source to channel 1.
  5.005  DISP         4. Move the scope channel 1 waveform trace to +2.5 div.
  5.005  DISP         5. Set the scope to single acqusition mode.
  5.006  PIC          268xA_Trigger_Output_Test.jpg
  5.007  MATH         @UUTCommand = "*RST"
  5.008  CALL         Sub Fluke 268xA Send Command RS-232
  5.009  JMPL         END                          @Abort
  5.010  MATH         @UUTCommand = "TROUT"
  5.011  CALL         Sub Fluke 268xA Send Command RS-232
  5.012  JMPL         END                          @Abort
  5.013  MATH         Message = "Trigger Out Line Active"
  5.014  PICE         -s Message : 268xA_Trigger_Output_Signal.jpg

  6.001  DISP         Disconnect the UUT from the scope.

  6.002  LABEL        END
  6.003  HEAD
  6.004  END
